<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>
<!-- dynamic fps config: max 90|120|144 Hz -->
<Params name="dynamic_fps_config" value="1">
<!-- size equals to number of choices in setting
         * code values:
           0: disable, unused
           1: force_30   2: force_60   3: force_90
           4: force_120  5: force_144
           9: dynamic_60_90 10: dynamic_60_120 21: dynamic_screen_lightlimit_60_90
           22: dynamic_screen_lightlimit_60_120
         -->
<Param name="custom_ploy" >
<Ploy  name ="1" isDynamic="0" lightLimit="0" min="30" max="30"/>
<Ploy  name ="2" isDynamic="0" lightLimit="0" min="60" max="60"/>
<Ploy  name ="3" isDynamic="0" lightLimit="0" min="90" max="90"/>
<Ploy  name ="4" isDynamic="0" lightLimit="0" min="120" max="120"/>
<Ploy  name ="9" isDynamic="1" lightLimit="0" min="60" max="90"/>
<Ploy  name ="10" isDynamic="1" lightLimit="0" min="60" max="120"/>
<Ploy  name ="21" isDynamic="1" lightLimit="1" min="60" max="90"/>
<Ploy  name ="22" isDynamic="1" lightLimit="1" min="60" max="120"/>
<Ploy  name ="32" isDynamic="1" lightLimit="1" min="10" max="60"/>
<Ploy  name ="33" isDynamic="1" lightLimit="0" min="10" max="90"/>
<Ploy  name ="34" isDynamic="1" lightLimit="0" min="10" max="120"/>
<Ploy  name ="35" isDynamic="1" lightLimit="1" min="10" max="90"/>
<Ploy  name ="36" isDynamic="1" lightLimit="1" min="10" max="120"/>
<Ploy  name ="37" isDynamic="1" lightLimit="1" min="30" max="60" refresh_min= "30" refresh_min_period="3000"/>
<Ploy  name ="38" isDynamic="1" lightLimit="1" min="10" max="60" refresh_min_period="6000"/>
<Ploy  name ="40" isDynamic="1" lightLimit="1" min="1" max="90" fade_fps_info="10:200"/>
<Ploy  name ="41" isDynamic="1" lightLimit="1" min="1" max="120" fade_fps_info="10:200"/>
<Ploy  name ="42" isDynamic="1" lightLimit="1" min="1" max="60" fade_fps_info="10:200"/>
</Param>
<Param name="setting_config" value="60 90 120">
      <setting id="0" value="2">
        <switch name="app_default" value="42"/>
        <switch name="game_default" value="2"/>
      </setting>
      <setting id="1" value="4">
        <switch name="app_default" value="36"/>
        <switch name="game_default" value="10"/>
        <switch name="app_type_list">
          <type name="3" value="37"/>
          <type name="7" value="3"/>
          <type name="8" value="32"/>
          <type name="15" value="2"/>
          <type name="17" value="2"/>
          <type name="21" value="2"/>
          <type name="25" value="2"/>
          <type name="30" value="2"/>
          <type name="36" value="2"/>
        </switch>	
        <switch name="app_pkg_list">
          <pkg name="com.huawei.hwread.dz" value="36"/>
          <pkg name="com.hihonor.dz.reader" value="36"/>
          <pkg name="com.tencent.mm" value="36"/>  
          <pkg name="com.ss.android.ugc.aweme" value="32"/>
          <pkg name="com.android.incallui" value="37"/>
          <pkg name="com.hihonor.android.launcher" value="36"/>
          <pkg name="com.hihonor.parallelspace" value="36"/>
          <pkg name="com.hihonor.servicecenter" value="36"/>
          <pkg name="com.smile.gifmaker" value="32"/>
          <pkg name="com.baidu.searchbox" value="36"/>
          <pkg name="com.ss.android.article.news" value="36"/>
          <pkg name="com.taobao.taobao" value="36"/>
          <pkg name="com.ss.android.ugc.aweme.lite" value="32"/>
          <pkg name="com.tencent.qqlive" value="38"/>
          <pkg name="com.autonavi.minimap" value="37"/>
          <pkg name="tv.danmaku.bili" value="35"/>
          <pkg name="com.tencent.mobileqq" value="36"/>
          <pkg name="com.kuaishou.nebula" value="32"/>
          <pkg name="com.dragon.read" value="36"/>
          <pkg name="com.qiyi.video" value="38"/>
          <pkg name="com.huawei.browser" value="36"/>
          <pkg name="com.hihonor.baidu.browser" value="36"/>
          <pkg name="com.UCMobile" value="36"/>
          <pkg name="com.xunmeng.pinduoduo" value="36"/>
          <pkg name="com.hihonor.contacts" value="36"/>
          <pkg name="com.eg.android.AlipayGphone" value="36"/>
          <pkg name="com.tencent.mtt" value="36"/>
          <pkg name="com.hihonor.photos" value="36"/>
          <pkg name="com.youku.phone" value="38"/>
          <pkg name="com.ss.android.article.lite" value="36"/>
          <pkg name="com.sina.weibo" value="36"/>
          <pkg name="com.kmxs.reader" value="36"/>
          <pkg name="com.xingin.xhs" value="32"/>
          <pkg name="com.hihonor.camera" value="32"/>
          <pkg name="com.baidu.BaiduMap" value="37"/>
          <pkg name="cn.xuexi.android" value="36"/>
          <pkg name="com.ss.android.article.video" value="32"/>
          <pkg name="com.hihonor.mms" value="36"/>
          <pkg name="com.jingdong.app.mall" value="36"/>
          <pkg name="com.tencent.news" value="36"/>
          <pkg name="com.sankuai.meituan" value="36"/>
          <pkg name="com.huawei.himovie" value="32"/>
          <pkg name="com.hihonor.youku.video" value="32"/>
          <pkg name="com.hihonor.hnvideoplayer" value="32"/>
          <pkg name="com.duowan.kiwi" value="32"/>
          <pkg name="com.hihonor.deskclock" value="32"/>
          <pkg name="com.android.settings" value="36"/>
          <pkg name="com.alibaba.android.rimet" value="36"/>
          <pkg name="com.zhihu.android" value="36"/>
          <pkg name="com.hihonor.calculator" value="36"/>
          <pkg name="com.kugou.android" value="36"/>
          <pkg name="com.huawei.hnreader" value="41"/>
          <pkg name="com.huawei.hwireader" value="41"/> 
          <pkg name="air.tv.douyu.android" value="32"/>
          <pkg name="com.baidu.haokan" value="32"/>
          <pkg name="com.taobao.live" value="36"/>
          <pkg name="com.quark.browser" value="36"/>
          <pkg name="com.hunantv.imgo.activity" value="32"/>
          <pkg name="com.ss.android.ugc.live" value="36"/>
          <pkg name="com.tencent.qqmusic" value="36"/>
          <pkg name="com.tencent.wework" value="36"/>
          <pkg name="com.qidian.QDReader" value="36"/>
          <pkg name="com.baidu.netdisk" value="36"/>
          <pkg name="com.hexin.plat.android" value="36"/>
          <pkg name="com.babycloud.hanju" value="32"/>
          <pkg name="com.huawei.appmarket" value="36"/>
          <pkg name="com.hihonor.appmarket" value="36"/>
          <pkg name="com.sup.android.superb" value="36"/>
          <pkg name="com.taobao.idlefish" value="36"/>
          <pkg name="com.tencent.weread" value="41"/>
          <pkg name="com.baidu.searchbox.lite" value="36"/>
          <pkg name="com.lechuan.mdwz" value="36"/>
          <pkg name="com.achievo.vipshop" value="36"/>
          <pkg name="com.netease.cloudmusic" value="36"/>
          <pkg name="com.shuqi.controller" value="36"/>
          <pkg name="com.immomo.momo" value="36"/>
          <pkg name="com.tencent.karaoke" value="36"/>
          <pkg name="com.lemon.lv" value="32"/>
          <pkg name="com.hihonor.notepad" value="36"/>
          <pkg name="com.hihonor.systemmanager" value="36"/>
          <pkg name="cn.wps.moffice_eng" value="36"/>
          <pkg name="cn.soulapp.android" value="36"/>
          <pkg name="com.baidu.tieba" value="36"/>
          <pkg name="com.sdu.didi.gsui" value="37"/>
          <pkg name="com.sina.news" value="36"/>
          <pkg name="com.eastmoney.android.berlin" value="36"/>
          <pkg name="com.tencent.wemeet.app" value="32"/>
          <pkg name="com.hihonor.android.clone" value="2"/>
          <pkg name="com.huawei.music" value="36"/>
          <pkg name="com.hihonor.cloudmusic" value="36"/>
          <pkg name="com.hihonor.hnmusicplayer" value="36"/>
          <pkg name="me.ele" value="36"/>
          <pkg name="com.netease.newsreader.activity" value="36"/>
          <pkg name="com.qq.reader" value="36"/>
          <pkg name="com.hihonor.calendar" value="36"/>
          <pkg name="com.le123.ysdq" value="32"/>
          <pkg name="com.dianping.v1" value="36"/>
          <pkg name="com.huawei.android.thememanager" value="36"/>
          <pkg name="com.hihonor.android.thememanager" value="36"/>
          <pkg name="com.ximalaya.ting.android" value="36"/>
          <pkg name="com.cctv.yangshipin.app.androidp" value="35"/>
          <pkg name="cn.com.sina.sports" value="35"/>
          <pkg name="com.dangdang.buy2" value="35"/>
          <pkg name="com.huawei.wallet" value="36"/>
          <pkg name="com.hihonor.wallet" value="36"/>
          <pkg name="com.xunlei.downloadprovider" value="36"/>
          <pkg name="com.hihonor.android.totemweather" value="32"/>
          <pkg name="cn.xiaochuankeji.tieba" value="36"/>
          <pkg name="com.taobao.litetao" value="36"/>
          <pkg name="com.huawei.fastapp" value="36"/>
          <pkg name="com.hihonor.quickengine" value="36"/>
          <pkg name="com.hihonor.servicecenter" value="36"/>
          <pkg name="com.hihonor.search" value="36"/>
          <pkg name="com.jjwxc.reader" value="36"/>
          <pkg name="com.ss.android.auto" value="36"/>
          <pkg name="com.chaoxing.mobile" value="36"/>
          <pkg name="com.sankuai.meituan.takeoutnew" value="36"/>
          <pkg name="com.tencent.map" value="37"/>
          <pkg name="com.cubic.autohome" value="36"/>
          <pkg name="com.qiyi.video.lite" value="38"/>
          <pkg name="com.huawei.vassistant" value="36"/>
          <pkg name="com.hihonor.magicvoice" value="36"/>
          <pkg name="com.huawei.health" value="36"/>
          <pkg name="com.hihonor.health" value="36"/>
          <pkg name="com.tmall.wireless" value="36"/>
          <pkg name="ctrip.android.view" value="36"/>
          <pkg name="com.icbc" value="36"/>
          <pkg name="com.hihonor.filemanager" value="36"/>
          <pkg name="com.huawei.hidisk" value="36"/>
          <pkg name="com.hihonor.hncloud" value="36"/>
          <pkg name="com.huawei.welink" value="36"/>
          <pkg name="com.ss.android.lark.honorelink" value="36"/>
          <pkg name="com.hihonor.superapp.pre" value="36"/>
          <pkg name="com.hihonor.vmall" value="36"/>
          <pkg name="com.hihonor.hstore.global" value="36"/>
          <pkg name="cn.honor.qinxuan" value="36"/>
          <pkg name="com.honor.club" value="36"/>
          <pkg name="com.hihonor.community" value="36"/>
          <pkg name="com.hihonor.phoneservice" value="36"/>
          <pkg name="com.hihonor.id" value="36"/>
          <pkg name="com.hihonor.findmydevice" value="36"/> 
          <pkg name="com.antutu.ABenchMark" value="4"/>
          <pkg name="com.antutu.benchmark.full" value="4"/>
          <pkg name="com.ludashi.benchmark" value="4"/>
          <pkg name="com.ludashi.benchmark2" value="4"/>
          <pkg name="net.kishonti.gfxbench.vulkan.v50000.corporate" value="4"/>
          <pkg name="com.futuremark.pcmark.android.benchmark" value="4"/>
          <pkg name="com.futuremark.dmandroid.application" value="4"/>
          <pkg name="com.primatelabs.geekbench5c" value="4"/>
          <pkg name="com.hihonor.common.video" value="2" />
          <pkg name="com.hihonor.detectrepair" value="2" />
          <pkg name="com.tencent.mm.video" value="38"/>
          <pkg name="com.xtc.watch" value="38"/>
        </switch>
        <switch name="game_pkg_list">
          <pkg name="com.volvapps.ef3.x.huawei" value="2"/>
          <pkg name="com.volvapps.ef3.x.honor" value="2"/>
          <pkg name="com.netease.wecc.huawei" value="2"/>
          <pkg name="com.netease.wecc.honor" value="2"/>
          <pkg name="com.playrix.township.chukong.HUAWEI" value="2"/>
          <pkg name="com.playrix.township.chukong.honor" value="2"/>
          <pkg name="com.qmzg2.huawei" value="2"/>
          <pkg name="com.qmzg2.honor" value="2"/>
          <pkg name="com.ty.ayglmn.huawei" value="2"/>
          <pkg name="com.ty.ayglmn.honor" value="2"/>
          <pkg name="com.uc108.mobile.hagd.num1.huawei" value="2"/>
          <pkg name="com.uc108.mobile.hagd.num1.honor" value="2"/>
          <pkg name="com.yc.yydxny" value="2"/>
          <pkg name="com.uhxdq.ghdq.tg" value="2"/>
          <pkg name="com.liaoyanxuan.unblockwood" value="2"/>
          <pkg name="com.ledou.mhhy.huawei" value="2"/>
          <pkg name="com.ledou.mhhy.honor" value="2"/>
          <pkg name="com.leiting.myzr.huawei" value="2"/>
          <pkg name="com.leiting.myzr.honor" value="2"/>
        </switch>
      </setting>
    <setting id="2" value="4">
        <switch name="app_default" value="2"/>
        <switch name="game_default" value="9"/>
        <switch name="app_type_list">
          <type name="3" value="37"/>
          <type name="-1" value="4"/>
        </switch>
        <switch name="app_pkg_list">
          <pkg name="com.huawei.hwread.dz" value="35"/>
          <pkg name="com.hihonor.dz.reader" value="35"/>
          <pkg name="com.tencent.mm" value="35"/>  
          <pkg name="com.ss.android.ugc.aweme" value="32"/>
          <pkg name="com.android.incallui" value="37"/>
          <pkg name="com.hihonor.android.launcher" value="35"/>
          <pkg name="com.hihonor.parallelspace" value="35"/>
          <pkg name="com.hihonor.servicecenter" value="35"/>
          <pkg name="com.smile.gifmaker" value="32"/>
          <pkg name="com.baidu.searchbox" value="2"/>
          <pkg name="com.ss.android.article.news" value="35"/>
          <pkg name="com.taobao.taobao" value="2"/>
          <pkg name="com.ss.android.ugc.aweme.lite" value="32"/>
          <pkg name="com.tencent.qqlive" value="38"/>
          <pkg name="com.autonavi.minimap" value="37"/>
          <pkg name="tv.danmaku.bili" value="35"/>
          <pkg name="com.tencent.mobileqq" value="2"/>
          <pkg name="com.kuaishou.nebula" value="32"/>
          <pkg name="com.dragon.read" value="2"/>
          <pkg name="com.qiyi.video" value="38"/>
          <pkg name="com.huawei.browser" value="2"/>
          <pkg name="com.hihonor.baidu.browser" value="2"/>
          <pkg name="com.UCMobile" value="2"/>
          <pkg name="com.xunmeng.pinduoduo" value="35"/>
          <pkg name="com.hihonor.contacts" value="36"/>
          <pkg name="com.eg.android.AlipayGphone" value="2"/>
          <pkg name="com.tencent.mtt" value="2"/>
          <pkg name="com.hihonor.photos" value="35"/>
          <pkg name="com.youku.phone" value="38"/>
          <pkg name="com.ss.android.article.lite" value="35"/>
          <pkg name="com.sina.weibo" value="35"/>
          <pkg name="com.kmxs.reader" value="2"/>
          <pkg name="com.xingin.xhs" value="32"/>
          <pkg name="com.hihonor.camera" value="32"/>
          <pkg name="com.baidu.BaiduMap" value="37"/>
          <pkg name="cn.xuexi.android" value="35"/>
          <pkg name="com.ss.android.article.video" value="32"/>
          <pkg name="com.hihonor.mms" value="36"/>
          <pkg name="com.jingdong.app.mall" value="35"/>
          <pkg name="com.tencent.news" value="35"/>
          <pkg name="com.sankuai.meituan" value="35"/>
          <pkg name="com.huawei.himovie" value="32"/>
          <pkg name="com.hihonor.youku.video" value="32"/>
          <pkg name="com.hihonor.hnvideoplayer" value="32"/>
          <pkg name="com.duowan.kiwi" value="32"/>
          <pkg name="com.hihonor.deskclock" value="32"/>
          <pkg name="com.android.settings" value="36"/>
          <pkg name="com.alibaba.android.rimet" value="35"/>
          <pkg name="com.zhihu.android" value="35"/>
          <pkg name="com.hihonor.calculator" value="2"/>
          <pkg name="com.kugou.android" value="35"/>
          <pkg name="com.huawei.hnreader" value="40"/>
          <pkg name="com.huawei.hwireader" value="40"/> 
          <pkg name="air.tv.douyu.android" value="32"/>
          <pkg name="com.baidu.haokan" value="32"/>
          <pkg name="com.taobao.live" value="2"/>
          <pkg name="com.quark.browser" value="2"/>
          <pkg name="com.hunantv.imgo.activity" value="32"/>
          <pkg name="com.ss.android.ugc.live" value="2"/>
          <pkg name="com.tencent.qqmusic" value="35"/>
          <pkg name="com.tencent.wework" value="35"/>
          <pkg name="com.qidian.QDReader" value="2"/>
          <pkg name="com.baidu.netdisk" value="2"/>
          <pkg name="com.hexin.plat.android" value="35"/>
          <pkg name="com.babycloud.hanju" value="32"/>
          <pkg name="com.huawei.appmarket" value="35"/>
          <pkg name="com.hihonor.appmarket" value="35"/>
          <pkg name="com.sup.android.superb" value="35"/>
          <pkg name="com.taobao.idlefish" value="35"/>
          <pkg name="com.tencent.weread" value="42"/>
          <pkg name="com.baidu.searchbox.lite" value="2"/>
          <pkg name="com.lechuan.mdwz" value="2"/>
          <pkg name="com.achievo.vipshop" value="35"/>
          <pkg name="com.netease.cloudmusic" value="2"/>
          <pkg name="com.shuqi.controller" value="2"/>
          <pkg name="com.immomo.momo" value="35"/>
          <pkg name="com.tencent.karaoke" value="2"/>
          <pkg name="com.lemon.lv" value="32"/>
          <pkg name="com.hihonor.notepad" value="35"/>
          <pkg name="com.hihonor.systemmanager" value="2"/>
          <pkg name="cn.wps.moffice_eng" value="35"/>
          <pkg name="cn.soulapp.android" value="35"/>
          <pkg name="com.baidu.tieba" value="35"/>
          <pkg name="com.sdu.didi.gsui" value="37"/>
          <pkg name="com.sina.news" value="35"/>
          <pkg name="com.eastmoney.android.berlin" value="35"/>
          <pkg name="com.tencent.wemeet.app" value="32"/>
          <pkg name="com.hihonor.android.clone" value="2"/>
          <pkg name="com.huawei.music" value="2"/>
          <pkg name="com.hihonor.cloudmusic" value="2"/>
          <pkg name="com.hihonor.hnmusicplayer" value="2"/>
          <pkg name="me.ele" value="35"/>
          <pkg name="com.netease.newsreader.activity" value="35"/>
          <pkg name="com.qq.reader" value="2"/>
          <pkg name="com.hihonor.calendar" value="2"/>
          <pkg name="com.le123.ysdq" value="32"/>
          <pkg name="com.dianping.v1" value="35"/>
          <pkg name="com.huawei.android.thememanager" value="35"/>
          <pkg name="com.hihonor.android.thememanager" value="35"/>
          <pkg name="com.ximalaya.ting.android" value="35"/>
          <pkg name="com.cctv.yangshipin.app.androidp" value="35"/>
          <pkg name="cn.com.sina.sports" value="35"/>
          <pkg name="com.dangdang.buy2" value="35"/>
          <pkg name="com.huawei.wallet" value="35"/>
          <pkg name="com.hihonor.wallet" value="35"/>
          <pkg name="com.xunlei.downloadprovider" value="2"/>
          <pkg name="com.hihonor.android.totemweather" value="32"/>
          <pkg name="cn.xiaochuankeji.tieba" value="2"/>
          <pkg name="com.taobao.litetao" value="35"/>
          <pkg name="com.huawei.fastapp" value="35"/>
          <pkg name="com.hihonor.quickengine" value="35"/>
          <pkg name="com.hihonor.servicecenter" value="35"/>
          <pkg name="com.hihonor.search" value="35"/>
          <pkg name="com.jjwxc.reader" value="2"/>
          <pkg name="com.ss.android.auto" value="35"/>
          <pkg name="com.chaoxing.mobile" value="35"/>
          <pkg name="com.sankuai.meituan.takeoutnew" value="35"/>
          <pkg name="com.tencent.map" value="37"/>
          <pkg name="com.cubic.autohome" value="35"/>
          <pkg name="com.qiyi.video.lite" value="38"/>
          <pkg name="com.huawei.vassistant" value="2"/>
          <pkg name="com.hihonor.magicvoice" value="2"/>
          <pkg name="com.huawei.health" value="35"/>
          <pkg name="com.hihonor.health" value="35"/>
          <pkg name="com.tmall.wireless" value="35"/>
          <pkg name="ctrip.android.view" value="32"/>
          <pkg name="com.icbc" value="35"/>
          <pkg name="com.hihonor.filemanager" value="36"/>
          <pkg name="com.huawei.hidisk" value="2"/>
          <pkg name="com.hihonor.hncloud" value="2"/>
          <pkg name="com.huawei.welink" value="35"/>
          <pkg name="com.ss.android.lark.honorelink" value="35"/>
          <pkg name="com.hihonor.superapp.pre" value="35"/>
          <pkg name="com.hihonor.vmall" value="35"/>
          <pkg name="com.hihonor.hstore.global" value="35"/>
          <pkg name="cn.honor.qinxuan" value="35"/>
          <pkg name="com.honor.club" value="35"/>
          <pkg name="com.hihonor.community" value="35"/>
          <pkg name="com.hihonor.phoneservice" value="35"/>
          <pkg name="com.hihonor.id" value="35"/>
          <pkg name="com.hihonor.findmydevice" value="35"/> 
          <pkg name="com.antutu.ABenchMark" value="4"/>
          <pkg name="com.antutu.benchmark.full" value="4"/>
          <pkg name="com.ludashi.benchmark" value="4"/>
          <pkg name="com.ludashi.benchmark2" value="4"/>
          <pkg name="net.kishonti.gfxbench.vulkan.v50000.corporate" value="4"/>
          <pkg name="com.futuremark.pcmark.android.benchmark" value="4"/>
          <pkg name="com.futuremark.dmandroid.application" value="4"/>
          <pkg name="com.primatelabs.geekbench5c" value="4"/>
          <pkg name="com.hihonor.common.video" value="2" />
          <pkg name="com.hihonor.detectrepair" value="2" />
          <pkg name="com.tencent.mm.video" value="38"/>
          <pkg name="com.xtc.watch" value="38"/>
          <pkg name="com.hihonor.common_60_60.video" value="2"/>
          <pkg name="com.hihonor.common_10_60.video" value="32"/>
          <pkg name="com.sohu.sohuvideo" value="38"/>
        </switch>
        <switch name="game_pkg_list">
          <pkg name="com.cmplay.tiles2_cn.huawei" value="2"/>
          <pkg name="com.cmplay.tiles2_cn.honor" value="2"/>
          <pkg name="com.tencent.tmgp.wdsj666" value="2"/>
          <pkg name="com.netease.x19" value="2"/>
          <pkg name="com.tencent.tmgp.yqqskp" value="9"/>
          <pkg name="yuanqiqishi.game.huawei" value="2"/> 
          <pkg name="yuanqiqishi.game.honor" value="2"/>
          <pkg name="com.kiloo.subwaysurf" value="9"/>
          <pkg name="com.ztgame.bob" value="2"/> 
          <pkg name="com.cmcm.arrowio_cn.huawei" value="2"/>
          <pkg name="com.cmcm.arrowio_cn.honor" value="2"/>
          <pkg name="com.turbochilli.rollingsky_cn.huawei" value="9"/> 
          <pkg name="com.turbochilli.rollingsky_cn.honor" value="9"/>
          <pkg name="com.imangi.templerun2" value="9"/> 
          <pkg name="com.cmplay.dancingline.huawei" value="9"/>
          <pkg name="com.cmplay.dancingline.honor" value="9"/>
          <pkg name="com.happyelements.AndroidClover.mob" value="9"/>
          <pkg name="com.happyelements.AndroidClover.www" value="9"/> 
          <pkg name="com.tencent.tmgp.qjnn" value="2"/>
          <pkg name="com.mfp.jelly.yingyongbao" value="9"/>
          <pkg name="com.mfp.jelly.huawei" value="9"/> 
          <pkg name="com.mfp.jelly.honor" value="9"/>
          <pkg name="com.cmge.dz.xhlmj.huawei" value="2"/>
          <pkg name="com.cmge.dz.xhlmj.honor" value="2"/>
          <pkg name="com.brianbaek.popstar" value="9"/> 
          <pkg name="com.gamestar.perfectpiano" value="9"/>
          <pkg name="org.tinghood.TpsForMobile.huawei" value="9"/>
          <pkg name="org.tinghood.TpsForMobile.honor" value="9"/>
          <pkg name="com.zengame.hlmjhdj.HUAWEI" value="2"/>
          <pkg name="com.zengame.hlmjhdj.honor" value="2"/>
          <pkg name="com.carrot.iceworld" value="2"/>
          <pkg name="com.zengame.zjscmj.p365you" value="2"/>
          <pkg name="com.m37.dldl.HUAWEI" value="2"/>
          <pkg name="com.m37.dldl.honor" value="2"/>
          <pkg name="com.uqee.lying.maingamesnsfun" value="9"/>
          <pkg name="com.pape.nuannew.self" value="2"/>
          <pkg name="com.carrot.carrotfantasy" value="2"/>
          <pkg name="com.happyelements.AndroidAnimal" value="2"/>
          <pkg name="com.happyelements.AndroidAnimal.qq" value="2"/>
          <pkg name="com.bf.sgs.hdexp.huawei" value="2"/>
          <pkg name="com.bf.sgs.hdexp.honor" value="2"/>
          <pkg name="bf.sgs.hdexp" value="2"/>
          <pkg name="com.denachina.g13002010.huawei" value="2"/>
          <pkg name="com.denachina.g13002010.honor" value="2"/>
          <pkg name="com.fengguo.wpjz.huawei" value="2"/>
          <pkg name="com.fengguo.wpjz.honor" value="2"/>
          <pkg name="cn.jj" value="2"/>
          <pkg name="cn.jj.hall" value="2"/>
          <pkg name="com.c2vl.kgamebox" value="2"/>
          <pkg name="com.tuyoo.gomoku.huawei" value="2"/>
          <pkg name="com.tuyoo.gomoku.honor" value="2"/>
          <pkg name="com.zengame.zrttddz.HUAWEI" value="2"/>
          <pkg name="com.zengame.zrttddz.honor" value="2"/>
          <pkg name="com.example.chinesechess.huawei" value="2"/>
          <pkg name="com.example.chinesechess.honor" value="2"/>
          <pkg name="com.netease.moba" value="3"/>
          <pkg name="com.netease.moba.huawei" value="3"/>
          <pkg name="com.netease.moba.honor" value="3"/>
          <pkg name="com.netease.ma84" value="2"/>
          <pkg name="com.bairimeng.snake.huawei" value="2"/>
          <pkg name="com.bairimeng.snake.honor" value="2"/>
          <pkg name="com.fy.qxds.huawei" value="2"/>
          <pkg name="com.fy.qxds.honor" value="2"/>
          <pkg name="com.tencent.tmgp.sgame" value="10"/>
          <pkg name="com.zzmg.pkdnczt" value="2"/>
          <pkg name="com.volvapps.ef3.x.huawei" value="2"/> 
          <pkg name="com.volvapps.ef3.x.honor" value="2"/>
          <pkg name="com.netease.wecc.huawei" value="2"/>
          <pkg name="com.netease.wecc.honor" value="2"/>
          <pkg name="com.playrix.township.chukong.HUAWEI" value="2"/>
          <pkg name="com.playrix.township.chukong.honor" value="2"/>
          <pkg name="com.qmzg2.huawei" value="2"/>
          <pkg name="com.qmzg2.honor" value="2"/>
          <pkg name="com.ty.ayglmn.huawei" value="2"/>
          <pkg name="com.ty.ayglmn.honor" value="2"/>
          <pkg name="com.uc108.mobile.hagd.num1.huawei" value="2"/>
          <pkg name="com.uc108.mobile.hagd.num1.honor" value="2"/>
          <pkg name="com.yc.yydxny" value="2"/>
          <pkg name="com.uhxdq.ghdq.tg" value="2"/>
          <pkg name="com.liaoyanxuan.unblockwood" value="2"/>
          <pkg name="com.ledou.mhhy.huawei" value="2"/>
          <pkg name="com.ledou.mhhy.honor" value="2"/>
          <pkg name="com.dca.glgs.htc" value="2"/>
          <pkg name="com.yz.xfyzc2" value="2"/>
          <pkg name="com.sqw.jwdzg.huawei" value="2"/>
          <pkg name="com.sqw.jwdzg.honor" value="2"/>
          <pkg name="com.zengame.ttaxq.HUAWEI" value="2"/>
          <pkg name="com.zengame.ttaxq.honor" value="2"/>
          <pkg name="com.bilibili.snake" value="2"/>
          <pkg name="com.leiting.myzr.huawei" value="2"/>
          <pkg name="com.leiting.myzr.honor" value="2"/>
          <pkg name="com.blizzard.wtcg.hearthstone" value="2"/>
          <pkg name="com.blizzard.wtcg.hearthstone.cn.huawei" value="2"/>
          <pkg name="com.blizzard.wtcg.hearthstone.cn.honor" value="2"/>
          <pkg name="com.heitao.yhdzz.hta" value="2"/>
          <pkg name="com.fn.cpyr.ttxfk.huawei" value="2"/>
          <pkg name="com.fn.cpyr.ttxfk.honor" value="2"/>
          <pkg name="com.tencent.qqxd.tmgp" value="2"/>
          <pkg name="com.tencent.lolm" value="10"/>
          <pkg name="com.tencent.tmgp.sgamece" value="10"/>
          <pkg name="com.tencent.tmgp.pubgmhd" value="10"/>
          <pkg name="com.tencent.tmgp.cod" value="10"/>
          <pkg name="com.tencent.KiHan" value="10"/>
          <pkg name="com.sofunny.Sausage" value="10"/>
          <pkg name="com.tencent.tmgp.WePop" value="10"/>
          <pkg name="com.ledou.mhjy.huawei" value="2"/>
          <pkg name="com.ledou.mhjy.honor" value="2"/>
          <pkg name="com.ddianle.lovedance.huawei" value="2"/>
          <pkg name="com.ddianle.lovedance.honor" value="2"/>
          <pkg name="com.zf.myds.huawei" value="2"/>
          <pkg name="com.zf.myds.honor" value="2"/>
          <pkg name="com.fcxx.aquarium.myds" value="2"/>
          <pkg name="com.vgamecrty.projv" value="10"/>
          <pkg name="com.VitaGames.EngineASMR" value="2"/> 
        </switch>
      </setting>
      <setting id="3" value="3">
        <switch name="app_default" value="3"/>
        <switch name="game_default" value="9"/>
        <switch name="app_type_list">
          <type name="3" value="37"/>
          <type name="7" value="2"/>
          <type name="8" value="32"/>
          <type name="15" value="2"/>
          <type name="17" value="2"/>
          <type name="21" value="2"/>
          <type name="25" value="2"/>
          <type name="30" value="2"/>
          <type name="36" value="2"/>
        </switch>
        <switch name="app_pkg_list">
          <pkg name="com.huawei.hwread.dz" value="35"/>
          <pkg name="com.hihonor.dz.reader" value="35"/>
          <pkg name="com.tencent.mm" value="35"/>  
          <pkg name="com.ss.android.ugc.aweme" value="32"/>
          <pkg name="com.android.incallui" value="37"/>
          <pkg name="com.hihonor.android.launcher" value="35"/>
          <pkg name="com.hihonor.parallelspace" value="35"/>
          <pkg name="com.hihonor.servicecenter" value="35"/>
          <pkg name="com.smile.gifmaker" value="32"/>
          <pkg name="com.baidu.searchbox" value="35"/>
          <pkg name="com.ss.android.article.news" value="35"/>
          <pkg name="com.taobao.taobao" value="35"/>
          <pkg name="com.ss.android.ugc.aweme.lite" value="32"/>
          <pkg name="com.tencent.qqlive" value="38"/>
          <pkg name="com.autonavi.minimap" value="37"/>
          <pkg name="tv.danmaku.bili" value="35"/>
          <pkg name="com.tencent.mobileqq" value="35"/>
          <pkg name="com.kuaishou.nebula" value="32"/>
          <pkg name="com.dragon.read" value="35"/>
          <pkg name="com.qiyi.video" value="38"/>
          <pkg name="com.huawei.browser" value="35"/>
          <pkg name="com.hihonor.baidu.browser" value="35"/>
          <pkg name="com.UCMobile" value="35"/>
          <pkg name="com.xunmeng.pinduoduo" value="35"/>
          <pkg name="com.hihonor.contacts" value="35"/>
          <pkg name="com.eg.android.AlipayGphone" value="35"/>
          <pkg name="com.tencent.mtt" value="35"/>
          <pkg name="com.hihonor.photos" value="35"/>
          <pkg name="com.youku.phone" value="38"/>
          <pkg name="com.ss.android.article.lite" value="35"/>
          <pkg name="com.sina.weibo" value="35"/>
          <pkg name="com.kmxs.reader" value="35"/>
          <pkg name="com.xingin.xhs" value="32"/>
          <pkg name="com.hihonor.camera" value="32"/>
          <pkg name="com.baidu.BaiduMap" value="37"/>
          <pkg name="cn.xuexi.android" value="35"/>
          <pkg name="com.ss.android.article.video" value="32"/>
          <pkg name="com.hihonor.mms" value="35"/>
          <pkg name="com.jingdong.app.mall" value="35"/>
          <pkg name="com.tencent.news" value="35"/>
          <pkg name="com.sankuai.meituan" value="35"/>
          <pkg name="com.huawei.himovie" value="32"/>
          <pkg name="com.hihonor.youku.video" value="32"/>
          <pkg name="com.hihonor.hnvideoplayer" value="32"/>
          <pkg name="com.duowan.kiwi" value="32"/>
          <pkg name="com.hihonor.deskclock" value="32"/>
          <pkg name="com.android.settings" value="35"/>
          <pkg name="com.alibaba.android.rimet" value="35"/>
          <pkg name="com.zhihu.android" value="35"/>
          <pkg name="com.hihonor.calculator" value="35"/>
          <pkg name="com.kugou.android" value="35"/>
          <pkg name="com.huawei.hnreader" value="40"/>
          <pkg name="com.huawei.hwireader" value="40"/> 
          <pkg name="air.tv.douyu.android" value="32"/>
          <pkg name="com.baidu.haokan" value="32"/>
          <pkg name="com.taobao.live" value="35"/>
          <pkg name="com.quark.browser" value="35"/>
          <pkg name="com.hunantv.imgo.activity" value="32"/>
          <pkg name="com.ss.android.ugc.live" value="35"/>
          <pkg name="com.tencent.qqmusic" value="35"/>
          <pkg name="com.tencent.wework" value="35"/>
          <pkg name="com.qidian.QDReader" value="35"/>
          <pkg name="com.baidu.netdisk" value="35"/>
          <pkg name="com.hexin.plat.android" value="35"/>
          <pkg name="com.babycloud.hanju" value="32"/>
          <pkg name="com.huawei.appmarket" value="35"/>
          <pkg name="com.hihonor.appmarket" value="35"/>
          <pkg name="com.sup.android.superb" value="35"/>
          <pkg name="com.taobao.idlefish" value="35"/>
          <pkg name="com.tencent.weread" value="40"/>
          <pkg name="com.baidu.searchbox.lite" value="35"/>
          <pkg name="com.lechuan.mdwz" value="35"/>
          <pkg name="com.achievo.vipshop" value="35"/>
          <pkg name="com.netease.cloudmusic" value="35"/>
          <pkg name="com.shuqi.controller" value="35"/>
          <pkg name="com.immomo.momo" value="35"/>
          <pkg name="com.tencent.karaoke" value="35"/>
          <pkg name="com.lemon.lv" value="32"/>
          <pkg name="com.hihonor.notepad" value="35"/>
          <pkg name="com.hihonor.systemmanager" value="35"/>
          <pkg name="cn.wps.moffice_eng" value="35"/>
          <pkg name="cn.soulapp.android" value="35"/>
          <pkg name="com.baidu.tieba" value="35"/>
          <pkg name="com.sdu.didi.gsui" value="37"/>
          <pkg name="com.sina.news" value="35"/>
          <pkg name="com.eastmoney.android.berlin" value="35"/>
          <pkg name="com.tencent.wemeet.app" value="32"/>
          <pkg name="com.hihonor.android.clone" value="2"/>
          <pkg name="com.huawei.music" value="35"/>
          <pkg name="com.hihonor.cloudmusic" value="35"/>
          <pkg name="com.hihonor.hnmusicplayer" value="35"/>
          <pkg name="me.ele" value="35"/>
          <pkg name="com.netease.newsreader.activity" value="35"/>
          <pkg name="com.qq.reader" value="35"/>
          <pkg name="com.hihonor.calendar" value="35"/>
          <pkg name="com.le123.ysdq" value="32"/>
          <pkg name="com.dianping.v1" value="35"/>
          <pkg name="com.huawei.android.thememanager" value="35"/>
          <pkg name="com.hihonor.android.thememanager" value="35"/>
          <pkg name="com.ximalaya.ting.android" value="35"/>
          <pkg name="com.cctv.yangshipin.app.androidp" value="35"/>
          <pkg name="cn.com.sina.sports" value="35"/>
          <pkg name="com.dangdang.buy2" value="35"/>
          <pkg name="com.huawei.wallet" value="35"/>
          <pkg name="com.hihonor.wallet" value="35"/>
          <pkg name="com.xunlei.downloadprovider" value="35"/>
          <pkg name="com.hihonor.android.totemweather" value="32"/>
          <pkg name="cn.xiaochuankeji.tieba" value="35"/>
          <pkg name="com.taobao.litetao" value="35"/>
          <pkg name="com.huawei.fastapp" value="35"/>
          <pkg name="com.hihonor.quickengine" value="35"/>
          <pkg name="com.hihonor.servicecenter" value="35"/>
          <pkg name="com.hihonor.search" value="35"/>
          <pkg name="com.jjwxc.reader" value="35"/>
          <pkg name="com.ss.android.auto" value="35"/>
          <pkg name="com.chaoxing.mobile" value="35"/>
          <pkg name="com.sankuai.meituan.takeoutnew" value="35"/>
          <pkg name="com.tencent.map" value="37"/>
          <pkg name="com.cubic.autohome" value="35"/>
          <pkg name="com.qiyi.video.lite" value="38"/>
          <pkg name="com.huawei.vassistant" value="35"/>
          <pkg name="com.hihonor.magicvoice" value="35"/>
          <pkg name="com.huawei.health" value="35"/>
          <pkg name="com.hihonor.health" value="35"/>
          <pkg name="com.tmall.wireless" value="35"/>
          <pkg name="ctrip.android.view" value="35"/>
          <pkg name="com.icbc" value="35"/>
          <pkg name="com.hihonor.filemanager" value="35"/>
          <pkg name="com.huawei.hidisk" value="35"/>
          <pkg name="com.hihonor.hncloud" value="35"/>
          <pkg name="com.huawei.welink" value="35"/>
          <pkg name="com.ss.android.lark.honorelink" value="35"/>
          <pkg name="com.hihonor.superapp.pre" value="35"/>
          <pkg name="com.hihonor.vmall" value="35"/>
          <pkg name="com.hihonor.hstore.global" value="35"/>
          <pkg name="cn.honor.qinxuan" value="35"/>
          <pkg name="com.honor.club" value="35"/>
          <pkg name="com.hihonor.community" value="35"/>
          <pkg name="com.hihonor.phoneservice" value="35"/>
          <pkg name="com.hihonor.id" value="35"/>
          <pkg name="com.hihonor.findmydevice" value="35"/> 
          <pkg name="com.antutu.ABenchMark" value="4"/>
          <pkg name="com.antutu.benchmark.full" value="4"/>
          <pkg name="com.ludashi.benchmark" value="4"/>
          <pkg name="com.ludashi.benchmark2" value="4"/>
          <pkg name="net.kishonti.gfxbench.vulkan.v50000.corporate" value="4"/>
          <pkg name="com.futuremark.pcmark.android.benchmark" value="4"/>
          <pkg name="com.futuremark.dmandroid.application" value="4"/>
          <pkg name="com.primatelabs.geekbench5c" value="4"/>
          <pkg name="com.hihonor.common.video" value="2" />
          <pkg name="com.hihonor.detectrepair" value="2" />
          <pkg name="com.tencent.mm.video" value="38"/>
          <pkg name="com.xtc.watch" value="38"/>
        </switch>
        <switch name="game_pkg_list">
          <pkg name="com.volvapps.ef3.x.huawei" value="2"/>
          <pkg name="com.volvapps.ef3.x.honor" value="2"/>
          <pkg name="com.netease.wecc.huawei" value="2"/>
          <pkg name="com.netease.wecc.honor" value="2"/>
          <pkg name="com.playrix.township.chukong.HUAWEI" value="2"/>
          <pkg name="com.playrix.township.chukong.honor" value="2"/>
          <pkg name="com.qmzg2.huawei" value="2"/>
          <pkg name="com.qmzg2.honor" value="2"/>
          <pkg name="com.ty.ayglmn.huawei" value="2"/>
          <pkg name="com.ty.ayglmn.honor" value="2"/>
          <pkg name="com.uc108.mobile.hagd.num1.huawei" value="2"/>
          <pkg name="com.uc108.mobile.hagd.num1.honor" value="2"/>
          <pkg name="com.yc.yydxny" value="2"/>
          <pkg name="com.uhxdq.ghdq.tg" value="2"/>
          <pkg name="com.liaoyanxuan.unblockwood" value="2"/>
          <pkg name="com.ledou.mhhy.huawei" value="2"/>
          <pkg name="com.ledou.mhhy.honor" value="2"/>
          <pkg name="com.leiting.myzr.huawei" value="2"/>
          <pkg name="com.leiting.myzr.honor" value="2"/>
        </switch>
      </setting>
    </Param>
    <Param name="video_low_fps_config" value = "1">
      <pkg name="com.tencent.qqlive" />
      <pkg name="com.qiyi.video"/>
      <pkg name="com.youku.phone"/>
      <pkg name="com.duowan.kiwi"/>
      <pkg name="com.air.tv.douyu.android"/>
      <pkg name="tv.danmaku.bili"/>
      <pkg name="com.cmcc.cmvideo"/>
      <pkg name="com.sohu.sohuvideo"/>
      <pkg name="com.hihonor.camera"/>
      <pkg name="com.tencent.mm"/>
      <pkg name="com.tencent.mm.video"/>
      <pkg name="com.huawei.himovie"/>
      <pkg name="com.hihonor.youku.video"/>
      <pkg name="com.hihonor.hnvideoplayer"/>
      <pkg name="com.qiyi.video.lite"/>
      <pkg name="com.xtc.watch"/>
    </Param>
    <Param name="promotion_white_list" value = "1">
      <pkg name="com.android.settings"/>
      <pkg name="com.hihonor.filemanager"/>
      <pkg name="com.hihonor.contacts" />
      <pkg name="com.hihonor.notepad" />
      <pkg name="com.hihonor.mms" />
      <pkg name="com.hihonor.photos"/>
    </Param>
    <Param name="support_cts_test_switch" value = "1">
      <pkg name="android.view.cts"/>
      <pkg name="android.graphics.cts"/>
      <pkg name="android.view.surfacecontrol.cts"/>
      <pkg name="com.android.compatibility.common.deviceinfo" />
      <pkg name="com.android.server.cts.device.graphicsstats" />
      <pkg name="android.display.cts"/>
    </Param>
    <Param name="native_set_framerate_blacklist">
        <pkg name="com.ledou.mhhy.huawei" value = "1"/>
        <pkg name="com.ledou.mhhy.honor" value = "1"/>
        <pkg name="com.playrix.township.chukong.HUAWEI" value = "1"/>
        <pkg name="com.playrix.township.chukong.honor" value = "1"/>
        <pkg name="com.ledou.mhjy.huawei" value="1"/>
        <pkg name="com.ledou.mhjy.honor" value="1"/>
    </Param>
<Param name="special_fling_lists" value = "1">
    <pkg_list name="flingModelArticle" value = "1 0.6 0.8 5000.0 0.6 0.8 15000.0 0.6 0.8">
        <pkg name="com.android.settings"/>
        <pkg name="com.hihonor.contacts"/>
        <pkg name="com.huawei.appmarket"/>
        <pkg name="com.hihonor.appmarket"/>
        <pkg name="com.hihonor.systemmanager"/>
        <pkg name="com.eg.android.AlipayGphone"/>
        <pkg name="com.hihonor.deskclock"/>
        <pkg name="com.huawei.wallet"/>
        <pkg name="com.hihonor.wallet"/>
        <pkg name="com.hihonor.notepad"/>
        <pkg name="com.tencent.mobileqq"/>
        <pkg name="cn.wps.moffice_eng"/>
        <pkg name="com.huawei.music"/>
        <pkg name="com.hihonor.cloudmusic"/>
        <pkg name="com.hihonor.hnmusicplayer"/>
        <pkg name="com.zhihu.android"/>
        <pkg name="com.ximalaya.ting.android"/>
        <pkg name="com.kugou.android"/>
        <pkg name="com.tencent.qqmusic"/>
        <pkg name="com.alibaba.android.rimet"/>
        <pkg name="com.dragon.read"/>
        <pkg name="com.netease.cloudmusic"/>
    </pkg_list>
    <pkg_list name="flingModelGallery" value = "1 0.7 0.6 5000.0 0.7 0.6 15000.0 0.7 0.6">
        <pkg name="com.hihonor.photos"/>
    </pkg_list>
    <pkg_list name="flingModelArticleAndGallery" value = "1 0.5 0.6 5000.0 0.5 0.6 15000.0 0.5 0.6">
        <pkg name="com.tencent.mm"/>
        <pkg name="com.taobao.taobao"/>
        <pkg name="com.autonavi.minimap"/>
        <pkg name="com.xunmeng.pinduoduo"/>
        <pkg name="com.huawei.himovie"/>
        <pkg name="com.hihonor.youku.video"/>
        <pkg name="com.hihonor.hnvideoplayer"/>
        <pkg name="com.huawei.android.thememanager"/>
        <pkg name="com.hihonor.android.thememanager"/>
        <pkg name="com.ss.android.article.news"/>
        <pkg name="com.sankuai.meituan"/>
        <pkg name="com.qiyi.video"/>
        <pkg name="com.tencent.qqlive"/>
        <pkg name="tv.danmaku.bili"/>
        <pkg name="com.sina.weibo"/>
        <pkg name="com.baidu.BaiduMap"/>
        <pkg name="com.dianping.v1"/>
        <pkg name="com.youku.phone"/>
        <pkg name="com.taobao.idlefish"/>
        <pkg name="com.xingin.xhs"/>
        <pkg name="com.huawei.browser"/>
        <pkg name="com.hihonor.baidu.browser"/>
        <pkg name="com.baidu.searchbox"/>
        <pkg name="com.tencent.mtt"/>
        <pkg name="com.UCMobile"/>
    </pkg_list>
</Param>
<!-- setting default value -->
<Param name="setting_refresh_default_id" value="2"/>
<Param name="support_high_refresh_rate_custom" value="1"/>
<Param name="support_gpu_control_switch" value="1"/>
<Param name="support_gpu_break_thermal_limitation" value="1"/>
<!-- external switch -->
<Param name="support_power_mode_switch" value="1" ploy_name="38"/>
<Param name="support_layer_danmu_switch" value="1"/>
    <Param name="support_cota_update_switch" value="1"/>
    <Param name="support_early_idle_switch" value="1"/>
    <Param name="support_pointer_location_switch" value="1"/>
    <Param name="support_display_hotplug_switch" value="1"/>
    <Param name="support_virtual_display_switch" value="1"/>
    <Param name="support_wechat_video_scene_switch" value="0"/>
    <Param name="support_navi_motion_switch" value="1"/>
    <Param name="support_fingerprint_switch" value="1" ploy_name="4"/>
    <Param name="support_news_video_drop_switch" value="0"/>
    <Param name="support_video_memc_switch" value="1"/>
    <Param name="support_screen_power_mode_set_fps_switch" value="1"/>
    <Param name="multi_app_lcd_freq_switch" value="1"/>
    <Param name="animation_refreshrate_rise_switch" value="1" scene_code="1200" priority="1200"/>
    <Param name="notify_bar_refreshrate_rise_switch" value="1" scene_code="1190" priority="1190"/>
    <Param name="launcher_scene_delay_config" value="500"/>
    <Param name="constant_software_freq_switch" value="0"/>
    <Param name="launcher_to_app_change_frep_delay_config" value ="1">
      <config_param name="app_back_launcher" value = "400" />
    </Param>
    <Param name="temperature_limit_refresh_rate" value="1" scene_code="10000">
        <config_param name="1" value="32" priority="1320">
            <pkg name="com.hihonor.android.launcher"/>
            <pkg name="com.hihonor.search"/>
            <pkg name="com.android.contacts"/>
            <pkg name="com.hihonor.contacts"/>
            <pkg name="com.hihonor.mms"/>
            <pkg name="com.hihonor.photos"/>
            <pkg name="com.hihonor.android.internal.app"/>
            <pkg name="com.huawei.appmarket"/>
            <pkg name="com.hihonor.appmarket"/>
            <pkg name="com.hihonor.filemanager"/>
            <pkg name="com.hihonor.notepad"/>
            <pkg name="com.hihonor.health"/>
            <pkg name="com.hihonor.tips"/>
            <pkg name="com.hihonor.email"/>
            <pkg name="com.huawei.fans"/>
            <pkg name="com.hihonor.vmall"/>
            <pkg name="cn.honor.qinxuan"/>
            <pkg name="com.honor.club"/>
            <pkg name="com.hihonor.phoneservice"/>
            <pkg name="com.hihonor.id"/>
            <pkg name="com.hihonor.findmydevice"/>
            <pkg name="com.huawei.android.thememanager"/>
            <pkg name="com.hihonor.android.thememanager"/>
            <pkg name="com.hihonor.servicecenter"/>
            <pkg name="com.android.settings"/>
            <pkg name="com.android.htmlviewer"/>
            <pkg name="com.baidu.input_hihonor"/>
            <pkg name="com.hihonor.hndockbar"/>
            <pkg name="com.hihonor.assistant"/>
            <pkg name="com.hihonor.hiboard"/>
            <pkg name="com.hihonor.lens"/>
            <pkg name="com.huawei.scanner"/>
            <pkg name="com.huawei.hitouch"/>
            <pkg name="com.hihonor.lens"/>
            <pkg name="com.android.emergency"/>
            <pkg name="com.hihonor.trustspace"/>
            <pkg name="com.hihonor.trustagent"/>
            <pkg name="com.hihonor.aod"/>
            <pkg name="com.hihonor.magazine"/>
            <pkg name="com.hihonor.android.instantshare"/>
            <pkg name="com.hihonor.parentcontrol"/>
            <pkg name="com.hihonor.systemmanager"/>
            <pkg name="com.hihonor.android.totemweather"/>
        </config_param>
        <config_param name="4" value="21" priority="1310"/>
    </Param>
    <Param name="support_low_refresh_rate" value="1">
      <config_param name="60" value="200"/>
      <config_param name="30" value="200"/>
      <config_param name="10" value="200"/>
      <config_param name="1" value="200"/>
    </Param>
    <Param name="display_brightness_config">
      <config_param lcd_model="110_150" value="948"/>
      <config_param lcd_model="130_150" value="944"/>
      <config_param lcd_model="110_160" value="709"/>
      <config_param lcd_model="110_150" refresh_rate="1" value="7425" />
      <config_param lcd_model="130_150" refresh_rate="1" value="7452" />
      <config_param lcd_model="110_160" refresh_rate="1" value="3515" />
    </Param>
    <Param name="simul_refresh_rate" value="1">
        <config_param ori_fps="10" simul_fps="120" modeId="2"/>
        <config_param ori_fps="1" simul_fps="120" modeId="3"/>
    </Param>
    <Param name="app_dynamic_strategy_config">
      <config_param name="max_wait_idle_period" value="3000"/>
      <config_param name="check_refresh_idle_period" value="200"/>
      <config_param name="refresh_idle_period" value="200"/>
      <config_param name="software_freq_max_wait_idle_period" value="1000"/>
    </Param>
    <Param name="screen_light_config">
        <config_param name="screen_light_switch" value="1"/> 
        <config_param name="activity_jump_switch" value="0"/>
        <config_param name="screen_brightness_threshold" value="50"/>
        <config_param name="ambient_light_threshold" value="50"/>
        <config_param name="ambient_dynamic_value" value="20"/>
    </Param>
<!-- high freq slide model -->
<Param name="high_freq_smart_slide_model_config">
    <slide_param name="switch" value="1"/>
    <slide_param name="low_velocity_friction_gain" value="0.6"/>
    <slide_param name="low_velocity_init_velocity_gain" value="0.8"/>
    <slide_param name="medium_velocity_level" value="5000.0"/>
    <slide_param name="medium_velocity_friction_gain" value="0.6"/>
    <slide_param name="medium_velocity_init_velocity_gain" value="0.8"/>
    <slide_param name="high_velocity_level" value="15000.0"/>
    <slide_param name="high_velocity_friction_gain" value="0.6"/>
    <slide_param name="high_velocity_init_velocity_gain" value="0.8"/>
</Param>
<Param name="inputdispatcher_handle_info">
    <config_param name="touch_switch" value="1"/>
    <config_param name="slide_switch" value="1"/>
    <config_param name="slide_scope" value="24"/>
    <config_param name="boost_check_duration" value="1000"/>
    <config_param name="non_boost_check_duration" value="100"/>
    <config_param name="speed_thres_hold_60Hz" value="240"/>
</Param>
<!-- setting FSD config value -->
<Param name="frame_skip_config">
      <conf name="fps_Thr" value="45"/>
      <conf name="max_Thr" value="4"/>
      <conf name="min_Thr" value="2"/>
      <conf name="fsd_switch" value="1"/>
      <conf name="mrzh_switch" value="1"/>
    </Param>
        <!-- for game -->
        <Param name="game_fps_mode_switch" value="0"/>
        <Param name="game_main_layers_config">
            <layer name="com.netease.moba" value="VRI[Client]#"/>
            <layer name="com.netease.moba.huawei" value="VRI[Client]#"/>
            <layer name="com.netease.moba.honor" value="VRI[Client]#"/>
            <layer name="com.tencent.tmgp.kaopu.jzpaj" value="VRI[Client]#"/>
            <layer name="com.netease.moba.aligames" value="VRI[Client]#"/>
            <layer name="com.netease.moba.bili" value="VRI[Client]#"/>
            <layer name="com.netease.moba.yixin" value="VRI[Client]#"/>
            <layer name="com.netease.moba.m4399" value="VRI[Client]#"/>
            <layer name="com.netease.mrzh.baidu" value="VRI[Client]#"/>
            <layer name="com.tencent.tmgp.yongyong.mrzh" value="VRI[Client]#"/>
            <layer name="com.netease.mrzh" value="VRI[Client]#"/>
            <layer name="com.netease.mrzh.huawei" value="VRI[Client]#"/>
            <layer name="com.netease.mrzh.honor" value="VRI[Client]#"/>
            <layer name="com.netease.dwrg.huawei" value="VRI[Client]#"/>
            <layer name="com.netease.dwrg.honor" value="VRI[Client]#"/>
            <layer name="com.netease.dwrg" value="VRI[Client]#"/>
            <layer name="com.tencent.tmgp.dwrg" value="VRI[Client]#"/>
            <layer name="com.netease.dwrg.baidu" value="VRI[Client]#"/>
            <layer name="com.netease.dwrg.qihoo" value="VRI[Client]#"/>
            <layer name="com.netease.mc.huawei" value="VRI[MainActivity]#"/>
            <layer name="com.netease.mc.honor" value="VRI[MainActivity]#"/>
        </Param>

        <Param name="game_sdk_info_switch" value="1"/>
        <Param name="game_sdk_info_feature_InBattle_enable" value="1"/>
        <!-- setting FF_solution switch value -->
        <Param name="FF_solution_switch" value="0"/>

        <!-- setting FF_solution uniform config value -->
        <Param name="frame_flow_config">
            <conf name="Patch_UE_Version" value="4.18.1-0"/>
            <conf name="Game_Version" value="1.16"/>
            <conf name="FPS_Meter" value="0"/>
            <conf name="Game_Boost" value="0"/>
            <conf name="Memc_Enable" value="1"/>
            <conf name="FPS_Threshold" value="85"/>
            <conf name="Limit_FPS_By_APS" value="1"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="GFX_ForceMSAA" value="0"/>
            <conf name="PredictionAllowed_DriveModeOnly" value="1"/>
            <conf name="PredictionAllowed_ThirdPersonOnly" value="1"/>
            <conf name="NearestDynObjectsDepthValue" value="0.001"/>
            <conf name="PixelsCountForDepthLayers" value="2000 30000 192000"/>
            <conf name="OutDoorTimeLimit" value = "1.0"/>
            <conf name="DriveModeDist" value="350.0"/>
            <conf name="FirstPersonDist" value="95.0"/>
            <conf name="AirplaneHeight" value="100000.0"/>
            <conf name="Rotation_AngleLimit" value="4.1"/>
            <conf name="Fix_Overshooting" value="0"/>
            <conf name="Wait_Down_Delay" value="3"/>
            <conf name="Wait_Top_Delay" value="14"/>
            <conf name="DebugDrawStencil" value="0"/>
            <conf name="DebugDrawDepth" value="0"/>
            <conf name="DebugDrawMotionVector" value="0"/>
            <conf name="DebugPredict" value="0"/>
            <conf name="IdCompasProportion" value="30 50 800"/>
            <conf name="EnableAdvancedStreamLine" value="1"/>
            <conf name="PredictionAllowed_MSAA_ON" value="1"/>
            <conf name="PredictionAllowed_MSAA_OFF" value="1"/>
            <conf name="PredictionAllowed_Shadows_ON" value="0"/>
            <conf name="PredictionAllowed_Shadows_OFF" value="1"/>
            <conf name="PredictionAllowed_FPS_20" value="0"/>
            <conf name="PredictionAllowed_FPS_25" value="0"/>
            <conf name="PredictionAllowed_FPS_30" value="0"/>
            <conf name="PredictionAllowed_FPS_40" value="0"/>
            <conf name="PredictionAllowed_FPS_60" value="0"/>
            <conf name="PredictionAllowed_FPS_90" value="1"/>
            <conf name="PredictionAllowed_FPS_120" value="0"/>
            <conf name="PredictionAllowed_Quality_Low" value="1"/>
            <conf name="PredictionAllowed_Quality_Med" value="0"/>
            <conf name="PredictionAllowed_Quality_High" value="0"/>
            <conf name="PredictionAllowed_Quality_HDR" value="0"/>
            <conf name="PredictionAllowed_Quality_Extreme" value="0"/>
            <conf name="PredictionAllowed_Quality_Ultra" value="0"/>
            <conf name="PredictionAllowed_Style_Classic" value="1"/>
            <conf name="PredictionAllowed_Style_Colorful" value="0"/>
            <conf name="PredictionAllowed_Style_Realistic" value="0"/>
            <conf name="PredictionAllowed_Style_Soft" value="0"/>
            <conf name="PredictionAllowed_Style_Movie" value="0"/>
        </Param>

        <!-- setting FF_solution pubg game config value -->
        <Param name="frame_flow_pubg_config" value="1">
        </Param>

  </Params>
  <Params name="itouch_adaptive_vsyncoffset_features">
    <Param name="vsyncoffset_theorydropframe_thd" value="0"/>
    <Param name="vsyncoffset_delta_thd" value="2"/>
    <Param name="vsyncoffset_varfilterperiod" value="1"/>
    <Param name="vsyncoffset_offsetadjustperiod" value="1"/>
    <Param name="vsyncoffset_punishperiod" value="5"/>
    <Param name="vsyncoffset_factdropframe_thd" value="1"/>
    <Param name="vsyncoffset_filterfactor" value="3"/>
    <Param name="vsyncoffset_switch" value="1"/>
  </Params>
  <Params name="ui_first_features">
    <Param name="launcher_smartslider_optimization_enable" value="1"/>
    <Param name="listview_smartslider_optimization_enable" value="1"/>
    <Param name="listview_smartslider_standard_freq_slide_enable" value="1"/>
    <Param name="systemui_fastview_fast_response_enable" value="1"/>
    <Param name="settings_fastview_fast_response_enable" value="1"/>
  </Params>
  <Params name="magic_screen_brighten_animation_config">
        <animation_param name="switch" value="1"/>
        <animation_param name="animation_duration" value="400"/>
        <animation_param name="animation_start_scale" value="0.88"/>
        <animation_param name="animation_max_blur_radius" value="15"/>
        <animation_param name="animation_mode" value="0"/>
   </Params>

  <Params name="game_sdk_info_key_config"> 
      <Game name="com.tencent.tmgp.sgame">
          <SceneKey>
              <KeyValue>4</KeyValue>
              <ItValue>7</ItValue>
              <GD>7|8</GD>
              <SettingFps>7</SettingFps>
              <HunterBoost>10000</HunterBoost>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.tmgp.pubgmhd">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>[100,inf]|5|7</ItValue>
              <GD>[100,inf]|7</GD>
              <SettingFps>10</SettingFps>
              <HunterBoost>10000</HunterBoost>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.tmgp.cf">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>7</ItValue>
              <GD>7</GD>
              <SettingFps>10</SettingFps>
              <HunterBoost>10000</HunterBoost>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.tmgp.speedmobile">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>101</ItValue>
              <GD>[3,inf]</GD>
              <SettingFps>10</SettingFps>
              <HunterBoost>10000</HunterBoost>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.tmgp.cod">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>[6,inf]</ItValue>
              <GD>[6,inf]</GD>
              <SettingFps>10</SettingFps>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.tmgp.WePop">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <GD>7</GD>
              <SettingFps>10</SettingFps>
          </SceneKey>
      </Game>
      <Game name="com.tencent.lolm">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>7|100</ItValue>
              <GD>7|100</GD>
              <SettingFps>10</SettingFps>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.KiHan">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>7</ItValue>
              <GD>7|100|4</GD>
              <SettingFps>10</SettingFps>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>
      <Game name="com.tencent.tmgp.gnyx">
          <SceneKey>
              <KeyValue>1</KeyValue>
              <ItValue>[100,inf]|5|7</ItValue>
              <GD>[99,inf]|5|7</GD>
              <SettingFps>10</SettingFps>
              <Frontback>10001</Frontback>
          </SceneKey>
      </Game>	  
  </Params>
   
  <Params name="itouch_game_list">
	<Param name="com.tencent.tmgp.pubgmhd" value="1"/>
	<Param name="com.tencent.tmgp.cf" value="1"/>
	<Param name="com.tencent.tmgp.cod" value="1"/>
	<Param name="com.tencent.ig" value="1"/>
	<Param name="com.tencent.tmgp.sgame" value="1"/>
	<Param name="com.tencent.tmgp.speedmobile" value="1"/>
	<Param name="com.wepie.snake" value="1"/>
	<Param name="com.ztgame.bob" value="1"/>
	<Param name="com.mojang.minecraftpe" value="1"/>
	<Param name="com.netease.hyxd" value="1"/>
	<Param name="com.netease.dwrg" value="1"/>
	<Param name="com.tencent.tmgp.yongyong.mrzh" value="1"/>
	<Param name="com.tencent.tmgp.qqx5" value="1"/>
	<Param name="com.tencent.tmgp.bh3" value="1"/>
	<Param name="com.miHoYo.enterprise.NGHSoD" value="1"/>
	<Param name="com.mobile.legends" value="1"/>
	<Param name="com.epicgames.fortnite" value="1"/>
	<Param name="com.netease.ko" value="1"/>
	<Param name="com.dts.freefireth" value="1"/>
	<Param name="com.gameloft.android.ANMP.GloftA9HM" value="1"/>
	<Param name="com.garena.game.kgsam" value="1"/>
	<Param name="com.garena.game.fctw" value="1"/>
	<Param name="com.ngame.allstar.eu" value="1"/>
	<Param name="com.miHoYo.Yuanshen" value="1"/>
  </Params>

  <Params name="itouch_game_xsync_list">
	<Param name="com.tencent.tmgp.sgame" value="1" fps = "60 120" vrr = "1"/>
	<Param name="com.tencent.tmgp.pubgmhd" value="1" fps = "60" vrr = "1"/>
  </Params>

  <Params name="itouch_direct_deliver_list" value="0">
    <Param name="com.tencent.tmgp.sgame" value="1"/>
    <Param name="com.tencent.tmgp.pubgmhd" value="1"/>
  </Params>

  <Params name="itouch_tp_high_rate_list">
	<Param name="com.tencent.tmgp.cf" value="1"/>
	<Param name="com.tencent.tmgp.cod" value="1"/>
	<Param name="com.tencent.ig" value="1"/>
  </Params>

  <Params name="itouch_parallel_get_view_enable_list">
	<Param name="com.sina.weibo" value="1"/>
	<Param name="com.qihoo360.mobilesafe" value="1"/>
	<Param name="com.sina.news" value="1"/>
  </Params>
  <Params name="itouch_fingerknock_fliter">
	<Param name="com.tencent.mm" value="1"/>
  </Params>
  <Params name="itouch_dropframe_list">
	<Param name="com.tencent.tmgp.sgame" value="1"/>
	<Param name="com.tencent.tmgp.pubgmhd" value="1"/>
	<Param name="com.tencent.tmgp.cf" value="1"/>
	<Param name="com.tencent.tmgp.speedmobile" value="1"/>
	<Param name="com.tencent.ig" value="1"/>
	<Param name="com.mobile.legends" value="1"/>
	<Param name="com.garena.game.fctw" value="1"/>
	<Param name="com.ngame.allstar.eu" value="1"/>
  </Params>
  <Params name="itouch_extreme_app_enable_list">
	<Param name="com.hihonor.contacts" value="1"/>
	<Param name="com.android.contacts" value="1"/>
  </Params>
  <Params name="itouch_adapt_vsyncoffset_list">
    <Param name="com.tencent.tmgp.pubgmhd" value="1"/>
    <Param name="com.tencent.tmgp.sgame" value="1"/>
  </Params>
  <Params name="filter_hardware_jpeg_list">
	<Param name="com.android.gallery3d" value="1"/>
	<Param name="com.tencent.mm" value="1"/>
	<Param name="com.hihonor.photos" value="1"/>
  </Params>
  
  <Params name="magic_window_blur_effect_config">
    <animation_param name="blur_switch" value="1"/>
    <animation_param name="sched_switch" value="1"/>
  </Params>
   <!-- setting 3D charging value -->
	<Params name="magic_charging_animation_3d_config">
        <animation_param name="switch" value="1"/>
  </Params>
  <Params name="sf.hwui.viewBlurBackground">
      <animation_param name="switch" value="1"/>
  </Params>
  <Params name="render_cache_list" value="1">
      <pkg name="com.ss.android.article.news"/>
      <pkg name="com.tencent.mm"/>
      <pkg name="com.sina.weibo"/>
      <pkg name="com.xingin.xhs"/>
      <pkg name="tv.danmaku.bili"/>
      <pkg name="com.qiyi.video"/>
      <pkg name="com.youku.phone"/>
      <pkg name="com.tencent.qqlive"/>
      <pkg name="com.ss.android.ugc.aweme"/>
      <pkg name="com.taobao.taobao"/>
      <pkg name="com.jingdong.app.mall"/>
      <pkg name="com.xunmeng.pinduoduo"/>
  </Params> 
  <Params name="game_frs_config">
    <Sensor>28</Sensor>
    <Game name="com.tencent.tmgp.pubgmhd">
        <Mode name="1">
            <fps_config name="90">
                <load_config name="default">
                    <content>41000,43000,80</content>
                    <detail>0.5,10000,10000;1,5000,10000;42000</detail>
                </load_config>
            </fps_config>
        </Mode>
        <Mode name="2">
            <fps_config name="90">
                <load_config name="default">
                    <content>41000,43000,80</content>
                    <keymethod>2</keymethod>
                </load_config>
            </fps_config>
        </Mode>
    </Game>

    <Game name="com.miHoYo.Yuanshen">
        <Mode name="1">
            <fps_config name="60">
                <load_config name="default">
                    <content>41000,43000,40</content>
                    <keymethod>2</keymethod>
                </load_config>
            </fps_config>
        </Mode>
        <Mode name="2">
            <fps_config name="60">
                <load_config name="default">
                    <content>41000,43000,40</content>
                    <keymethod>2</keymethod>
                </load_config>
            </fps_config>
        </Mode>
    </Game>
  </Params>
</Config>
